# DataExchange
TKSTEPBase
StepRepr

# StepRepr_HArray1OfPropertyDefinitionRepresentation Class Reference

`#include <StepRepr_HArray1OfPropertyDefinitionRepresentation.hxx>`

## Public Member Functions

Standard_EXPORT | StepRepr_HArray1OfPropertyDefinitionRepresentation (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepRepr_HArray1OfPropertyDefinitionRepresentation (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepRepr_PropertyDefinitionRepresentation)&V)
Standard_EXPORT void | Init (const Handle(StepRepr_PropertyDefinitionRepresentation)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepRepr_PropertyDefinitionRepresentation)&Value)
const Handle_StepRepr_PropertyDefinitionRepresentation & | Value (const Standard_Integer Index) const
Handle_StepRepr_PropertyDefinitionRepresentation & | ChangeValue (const Standard_Integer Index)
const StepRepr_Array1OfPropertyDefinitionRepresentation & | Array1 () const
StepRepr_Array1OfPropertyDefinitionRepresentation & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepRepr_Array1OfPropertyDefinitionRepresentation | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_HArray1OfPropertyDefinitionRepresentation::StepRepr_HArray1OfPropertyDefinitionRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepRepr_HArray1OfPropertyDefinitionRepresentation::StepRepr_HArray1OfPropertyDefinitionRepresentation | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepRepr_PropertyDefinitionRepresentation)& | V
| ) |

## Member Function Documentation

const StepRepr_Array1OfPropertyDefinitionRepresentation& StepRepr_HArray1OfPropertyDefinitionRepresentation::Array1 | ( |  | ) | const

StepRepr_Array1OfPropertyDefinitionRepresentation& StepRepr_HArray1OfPropertyDefinitionRepresentation::ChangeArray1 | ( |  | ) |

Handle_StepRepr_PropertyDefinitionRepresentation& StepRepr_HArray1OfPropertyDefinitionRepresentation::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepRepr_HArray1OfPropertyDefinitionRepresentation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepRepr_HArray1OfPropertyDefinitionRepresentation::Init | ( | const Handle(StepRepr_PropertyDefinitionRepresentation)& | V | ) |

Standard_Integer StepRepr_HArray1OfPropertyDefinitionRepresentation::Length | ( |  | ) | const

Standard_Integer StepRepr_HArray1OfPropertyDefinitionRepresentation::Lower | ( |  | ) | const

void StepRepr_HArray1OfPropertyDefinitionRepresentation::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepRepr_PropertyDefinitionRepresentation)& | Value
| ) |

Standard_Integer StepRepr_HArray1OfPropertyDefinitionRepresentation::Upper | ( |  | ) | const

const Handle_StepRepr_PropertyDefinitionRepresentation& StepRepr_HArray1OfPropertyDefinitionRepresentation::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepRepr_Array1OfPropertyDefinitionRepresentation StepRepr_HArray1OfPropertyDefinitionRepresentation::myArray `[private]`

The documentation for this class was generated from the following file:

- StepRepr_HArray1OfPropertyDefinitionRepresentation.hxx